#-*- coding:utf-8 -*-

import os.path as Path
import ConfigParser
from config_defaults import DEFAULTS

CONF_FILE = ".enhac_conf"


class Config(object):
    def __init__(self, fname):
        self.filename = fname
        self._defaults = DEFAULTS
        self._config = ConfigParser.SafeConfigParser()
        if fname:
            self._config.read(fname)

    @classmethod
    def lookup(cls, fname):
        dir = Path.abspath(fname)
        while Path.dirname(dir) != dir:
            dir = Path.dirname(dir)
            test_path = Path.join(dir, CONF_FILE)
            if Path.isfile(test_path):
                return cls(test_path)
        return cls(None)

    def __getattr__(self, section):
        return ConfigSection(self._config, section, self._defaults.get(section, {}))


class ConfigSection(object):
    def __init__(self, config, section, section_defaults):
        self._config = config
        self._section = section
        self._defaults = section_defaults

    def __getattr__(self, param):
        if self._config.has_option(self._section, param):
            return self._config.get(self._section, param)
        if param in self._defaults:
            return self._defaults[param]
        return None
