#!/usr/bin/env python
#-*- coding:utf-8 -*-
"""
Enhanced preprocessor for C.

IN EARLY DEVELOPMENT

Current features:

Directives to include in C file:

//:inc somelib1
//:inc somelib2
//:make gcc %INCS% -lm

It will include somelib1.h, somelib2.h headers and compile with

gcc source.c somelib1.c somelib2.c -lm

There are some neat ways to specify paths to search for includes:
TBD
"""

from distutils.core import setup

setup(name='enhac',
      version='0.1.0',

      author='hellman',
      author_email='hellman1908@gmail.com',
      license="MIT",

      description='Enhanced preprocessor for C',
      long_description=__doc__,
      keywords="c preprocessor",

      packages=['enhac'],
      provides=['enhac'],
      scripts=["scripts/enhac", "scripts/enhacr"],

      classifiers=['Development Status :: 2 - Pre-Alpha',
                   'Environment :: Console',
                   'Intended Audience :: Developers',
                   'Natural Language :: English',
                   'Operating System :: Unix',
                   'Programming Language :: Python :: 2',
                   'Programming Language :: C',
                   'License :: OSI Approved :: MIT License',
                   'Topic :: Software Development :: Build Tools',
                   'Topic :: Software Development :: Code Generators',
                   'Topic :: Software Development :: Compilers',
                   ],
      )
